## livi 0.1.0

=== meson_options.txt ===
option('dmabuf-passthrough',
       type: 'feature', value: 'auto',
       description: 'Whether to enable dmabuf passhthrough')

## livi 0.0.3

=== debian/changelog ===
livi (0.0.3-1pureos1) crimson; urgency=medium

  * Upload into crimson

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Tue, 09 Dec 2025 04:23:48 +0100

livi (0.0.3-1) experimental; urgency=medium

  * Initial release (Closes: #1034712)

 -- Guido Günther <agx@sigxcpu.org>  Sat, 22 Apr 2023 20:12:54 +0200

=== debian/control ===
Source: livi
Section: x11
Priority: optional
Maintainer: PureOS Maintainers <pureos-project@lists.puri.sm>
XSBC-Original-Maintainer: Guido Günther <agx@sigxcpu.org>
Vcs-Git: https://source.puri.sm/Librem5/debs/livi.git
Vcs-Browser: https://source.puri.sm/Librem5/debs/livi
XSBC-Original-Vcs-Git: https://salsa.debian.org/agx/livi.git
XSBC-Original-Vcs-Browser: https://salsa.debian.org/agx/livi
Build-Depends:
 appstream,
 debhelper-compat (= 13),
 desktop-file-utils,
 libadwaita-1-dev,
 libgstreamer1.0-dev (>= 1.22.0),
 libgstreamer-plugins-bad1.0-dev (>= 1.22.0),
 libgtk-4-dev (>= 4.8),
 meson,
Standards-Version: 4.6.2
Homepage: https://gitlab.gnome.org/guidog/livi/
Rules-Requires-Root: no

Package: livi
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Minimalistic video player targeting mobile devices
 Livi is a minimalistic GTK4 and GStreamer based video player for
 mobile phones aiming for minimal battery usage.
 .
 It supports:
 .
  * Inhibiting suspend/idle when playing video
  * Stopping video playback on (i.e. power button toggled) screen blank
  * Registering as default video player in GNOME control center
  * An indicator whether hardware accleration is in use

## livi 0.1.0

=== debian/changelog ===
livi (0.1.0-1ubuntu1) noble; urgency=medium

  * Cherry-pick patch to fix build on armhf

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 19 Apr 2024 07:29:30 -0400

livi (0.1.0-1) experimental; urgency=medium

  * New upstream release
  * Bump dependencies

 -- Guido Günther <agx@sigxcpu.org>  Sat, 06 Apr 2024 17:45:45 +0200

livi (0.0.6-1) experimental; urgency=medium

  * New upstream release
  * d/control: Recommend yt-dlp

 -- Guido Günther <agx@sigxcpu.org>  Fri, 19 Jan 2024 18:14:59 +0100

livi (0.0.5-1) experimental; urgency=medium

  * New upstream release
  * Drop all patches. All applied upstream.
  * d/control: Bump gtk and adwaita versions
  * d/control: Add Vcs-* URLs

 -- Guido Günther <agx@sigxcpu.org>  Mon, 25 Dec 2023 12:59:22 +0100

=== debian/control ===
Source: livi
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends:
 appstream,
 debhelper-compat (= 13),
 desktop-file-utils,
 libadwaita-1-dev (>= 1.4),
 libgstreamer1.0-dev (>= 1.24.0),
 libgstreamer-plugins-bad1.0-dev (>= 1.24.0),
 libgstreamer-plugins-base1.0-dev (>= 1.24.0),
 libgtk-4-dev (>= 4.14),
 meson,
Standards-Version: 4.6.2
Homepage: https://gitlab.gnome.org/guidog/livi/
Vcs-Browser: https://salsa.debian.org/agx/livi
Vcs-Git: https://salsa.debian.org/agx/livi.git
Rules-Requires-Root: no

Package: livi
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 yt-dlp,
Description: Minimalistic video player targeting mobile devices
 Livi is a minimalistic GTK4 and GStreamer based video player for
 mobile phones aiming for minimal battery usage.
 .
 It supports:
 .
  * Inhibiting suspend/idle when playing video
  * Stopping video playback on (i.e. power button toggled) screen blank
  * Registering as default video player in GNOME control center
  * An indicator whether hardware accleration is in use
  * URL processing via yt-dlp

=== debian/tests/control ===
Test-Command: /usr/bin/livi --help
Restrictions: superficial
Depends:
 @,

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/archive\/v(\d\S+)\/livi.*\.tar\.gz/livi-$1\.tar\.gz/g, uversionmangle=s/_(alpha|beta|rc)/~$1/" \
  https://gitlab.gnome.org/guidog/livi/tags?sort=updated_desc .*/archive/v(\d\S+)/.*\.tar\.gz.*

## livi 0.3.0

=== debian/changelog ===
livi (0.3.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Guido Günther <agx@sigxcpu.org>  Sat, 18 Jan 2025 18:25:13 +0100

livi (0.3.0-1) experimental; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Fri, 17 Jan 2025 23:16:20 +0100

livi (0.2.0-1) experimental; urgency=medium

  * New upstream release
  * Use phoc to run the tests (we require a Wayland compositor)
  * Remove unused file pattern from d/copyright

 -- Guido Günther <agx@sigxcpu.org>  Thu, 20 Jun 2024 10:07:45 +0200

## livi 0.3.1

=== meson_options.txt ===
option('dmabuf-passthrough',
       type: 'feature', value: 'auto',
       description: 'Whether to enable dmabuf passhthrough')
option('profile', type: 'combo', choices: ['default','devel'], value: 'default')

=== debian/changelog ===
livi (0.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Sun, 26 Jan 2025 21:48:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: livi
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Guido Günther <agx@sigxcpu.org>
+Maintainer: Guido Günther <agx@sigxcpu.org>
 Build-Depends:
  appstream,
  debhelper-compat (= 13),

=== debian/tests/control ===
Test-Command: WLR_BACKENDS=headless WLR_RENDERER=pixman phoc -E /usr/bin/livi --help
Restrictions: superficial
Depends:
 @, phoc

## livi 0.3.2

=== debian/changelog ===
livi (0.3.2-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Sun, 27 Jul 2025 09:28:03 +0200

## livi 0.4.0

=== meson_options.txt ===
option('dmabuf-passthrough',
       type: 'feature', value: 'auto',
       description: 'Whether to enable dmabuf passthrough')
option('profile', type: 'combo', choices: ['default','devel'], value: 'default')

=== debian/changelog ===
livi (0.4.0-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream release
    * Allow to loop the current video
    * Fix gear menu styling
    * Improve seeking
    * Use more metadata from yt-dlp for the mpris information

 -- Guido Günther <agx@sigxcpu.org>  Mon, 09 Feb 2026 19:47:39 +0100

=== debian/watch ===
Version: 5
Source: https://sources.phosh.mobi/releases/@PACKAGE@/
MatchingPattern: @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
Pgp-Mode: auto
